Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1364542 - Review Request: ardour5 - Digital Audio Workstation
Summary: Review Request: ardour5 - Digital Audio Workstation
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: gil cattaneo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1366590 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-05 16:14 UTC by Nils Philippsen
Modified: 2016-08-27 20:51 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-27 10:23:37 UTC
puntogil: fedora-review+


Attachments (Terms of Use)
licensecheck.txt (deleted)
2016-08-12 09:34 UTC, gil cattaneo
no flags Details
rpmlint.txt (deleted)
2016-08-12 09:35 UTC, gil cattaneo
no flags Details

Description Nils Philippsen 2016-08-05 16:14:52 UTC
Spec URL: http://copr-dist-git.fedorainfracloud.org/cgit/nphilipp/ardour5/ardour5.git/plain/ardour5.spec?id=6a727f06cb8ec64face37a0756e9a59b40db45ba
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/nphilipp/ardour5/fedora-rawhide-x86_64/00438385-ardour5/ardour5-5.0-0.2.rc1.46.fc26.src.rpm
Description: <description here>
Fedora Account System Username: nphilipp

NB: This is a separate package from version 4 of Ardour to allow parallel installation of 4 and 5 in existing Fedora releases.

Comment 1 Nils Philippsen 2016-08-06 10:01:23 UTC
Oops, forgot the description:

Ardour is a multi-channel digital audio workstation, allowing users to record,
edit, mix and master audio and MIDI projects. It is targeted at audio
engineers, musicians, soundtrack editors and composers.

Comment 3 gil cattaneo 2016-08-12 08:09:29 UTC
can you take this for me https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=1366269 ?
thanks in advance

Comment 4 gil cattaneo 2016-08-12 08:27:23 UTC
perhaps it would be better https://github.com/Ardour/ardour/archive/5.0/ardour-5.0.tar.gz. what do you think about it ?

Comment 5 gil cattaneo 2016-08-12 09:33:11 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[-]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "WTFPL WTFPL (v2)", "LGPL (v2.1 or later) (with incorrect FSF
     address)", "LGPL (v2 or later) (with incorrect FSF address)", "*No
     copyright* BSD (3 clause)", "LGPL (v2.1) (with incorrect FSF
     address)", "GPL (v2.0)", "*No copyright* GPL (v2 or later)", "*No
     copyright* LGPL (v2.1 or later)", "*No copyright* GPL (v2 or later)
     (with incorrect FSF address)", "GPL (v3 or later)", "ISC",
     "zlib/libpng", "LGPL (v3 or later)", "GPL (v2 or later) (with
     incorrect FSF address)", "BSD (2 clause)", "*No copyright* LGPL (v2 or
     later) (with incorrect FSF address)", "GPL", "*No copyright* WTFPL",
     "GPL (v2 or later)", "MIT/X11 (BSD like)", "BSD (3 clause)", "Unknown
     or generated", "BSD (4 clause)", "BSL (v1.0)", "GPL (v2)". 778 files
     have unknown license. Detailed output of licensecheck in
     /home/gil/1364542-ardour5/licensecheck.txt
    See attached file
    BSL (v1.0) >> Boost
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[?]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: update-desktop-database is invoked in %post and %postun if package
     contains desktop file(s) with a MimeType: entry.
     Note: desktop file(s) with MimeType entry in ardour5
[x]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in ardour5
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: update-mime-database is invoked in %post and %postun if package stores
     mime configuration in /usr/share/mime/packages.
     Note: mimeinfo files in: ardour5
     See:
     http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#mimeinfo
[?]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     ardour5-debuginfo
[ ]: Package functions as described.
[x]: Latest version is packaged.
[?]: Package does not include license text files separate from upstream.
[?]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
  See above comment
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[!]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: # This macro creates a backend
     subpackage. Needs to be %%define, not %%global., %define
     backend_package() %package %{1}backend-%{lua:
     print(string.lower(rpm.expand("%2")))}Summary: %{2} %{1} backend for
     %{name}Requires: %{name}%{?_isa} =
     %{?epoch:%{epoch}:}%{version}-%{release}Provides:
     %{name}-%{1}backend%{?_isa}%{?3:License: %{3}}%description
     %{1}backend-%{lua: print(string.lower(rpm.expand("%2")))}This package
     provides the %{2} %{1} backend for Ardour.%files %{1}backend-%{lua:
     print(string.lower(rpm.expand("%2")))}%{_libdir}/%{name}/backends/lib%{lua:
     print(string.lower(rpm.expand("%2")))}_%{1}backend.so
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: SourceX is a working URL.

===== EXTRA items =====

Generic:
[-]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
     Note: Arch-ed rpms have a total of 9236480 bytes in /usr/share
[x]: Rpmlint is run on debuginfo package(s).
     Note: There are rpmlint messages (see attachment).
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: ardour5-5.0.0-0.4.fc26.i686.rpm
          ardour5-audiobackend-alsa-5.0.0-0.4.fc26.i686.rpm
          ardour5-audiobackend-jack-5.0.0-0.4.fc26.i686.rpm
          ardour5-audiobackend-dummy-5.0.0-0.4.fc26.i686.rpm
          ardour5-debuginfo-5.0.0-0.4.fc26.i686.rpm
          ardour5-5.0.0-0.4.fc26.src.rpm
ardour5.i686: W: spelling-error %description -l en_US Ardour -> Armour, Ar dour, Ar-dour
ardour5.i686: W: spelling-error %description -l en_US multi -> mulch, mufti
ardour5.i686: W: obsolete-not-provided ardour3
ardour5.i686: W: obsolete-not-provided ardour4
ardour5.i686: W: devel-file-in-non-devel-package /usr/lib/ardour5/libqmdsp.so
ardour5.i686: W: devel-file-in-non-devel-package /usr/lib/ardour5/libevoral.so
ardour5.i686: W: devel-file-in-non-devel-package /usr/lib/ardour5/libardour.so
ardour5.i686: W: devel-file-in-non-devel-package /usr/lib/ardour5/vamp/libardourvampplugins.so
ardour5.i686: W: devel-file-in-non-devel-package /usr/lib/ardour5/libmidipp.so
ardour5.i686: W: devel-file-in-non-devel-package /usr/lib/ardour5/libpbd.so
ardour5.i686: W: devel-file-in-non-devel-package /usr/lib/ardour5/libptformat.so
ardour5.i686: W: dangling-relative-symlink /usr/share/ardour5/ArdourMono.ttf ../fonts/google-droid/DroidSansMono.ttf
ardour5.i686: W: devel-file-in-non-devel-package /usr/lib/ardour5/libaudiographer.so
ardour5.i686: W: devel-file-in-non-devel-package /usr/lib/ardour5/libcanvas.so
ardour5.i686: W: devel-file-in-non-devel-package /usr/lib/ardour5/libgtkmm2ext.so
ardour5.i686: W: devel-file-in-non-devel-package /usr/lib/ardour5/libardouralsautil.so
ardour5.i686: W: no-manual-page-for-binary ardour5-lua
ardour5.i686: W: no-manual-page-for-binary ardour5-copy-mixer
ardour5.i686: W: no-manual-page-for-binary ardour5-export
ardour5.i686: E: invalid-appdata-file /usr/share/appdata/ardour5.appdata.xml
ardour5-audiobackend-alsa.i686: W: spelling-error Summary(en_US) backend -> backed, back end, back-end
ardour5-audiobackend-alsa.i686: W: spelling-error %description -l en_US backend -> backed, back end, back-end
ardour5-audiobackend-alsa.i686: W: no-documentation
ardour5-audiobackend-jack.i686: W: spelling-error Summary(en_US) backend -> backed, back end, back-end
ardour5-audiobackend-jack.i686: W: spelling-error %description -l en_US backend -> backed, back end, back-end
ardour5-audiobackend-jack.i686: W: no-documentation
ardour5-audiobackend-dummy.i686: W: spelling-error Summary(en_US) backend -> backed, back end, back-end
ardour5-audiobackend-dummy.i686: W: spelling-error %description -l en_US backend -> backed, back end, back-end
ardour5-audiobackend-dummy.i686: W: no-documentation

...

ardour5.src: W: spelling-error %description -l en_US Ardour -> Armour, Ar dour, Ar-dour
ardour5.src: W: spelling-error %description -l en_US multi -> mulch, mufti
ardour5.src:101: W: unversioned-explicit-obsoletes ardour3
ardour5.src:101: W: unversioned-explicit-obsoletes ardour4
ardour5.src:116: W: unversioned-explicit-provides %{name}-%{1}backend%{?_isa}\
ardour5.src: W: invalid-url Source0: Ardour-5.0.0.tar.bz2
6 packages and 0 specfiles checked; 1385 errors, 34 warnings.







1 packages and 0 specfiles checked; 1384 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
ardour5-audiobackend-jack.i686: W: spelling-error Summary(en_US) backend -> backed, back end, back-end
ardour5-audiobackend-jack.i686: W: spelling-error %description -l en_US backend -> backed, back end, back-end
ardour5-audiobackend-jack.i686: W: no-documentation
ardour5-audiobackend-alsa.i686: W: spelling-error Summary(en_US) backend -> backed, back end, back-end
ardour5-audiobackend-alsa.i686: W: spelling-error %description -l en_US backend -> backed, back end, back-end
ardour5-audiobackend-alsa.i686: W: no-documentation
ardour5.i686: W: spelling-error %description -l en_US Ardour -> Armour, Ar dour, Ar-dour
ardour5.i686: W: spelling-error %description -l en_US multi -> mulch, mufti
ardour5.i686: W: obsolete-not-provided ardour3
ardour5.i686: W: obsolete-not-provided ardour4
ardour5.i686: W: devel-file-in-non-devel-package /usr/lib/ardour5/libgtkmm2ext.so
ardour5.i686: W: devel-file-in-non-devel-package /usr/lib/ardour5/libardour.so
ardour5.i686: W: devel-file-in-non-devel-package /usr/lib/ardour5/libevoral.so
ardour5.i686: W: devel-file-in-non-devel-package /usr/lib/ardour5/libaudiographer.so
ardour5.i686: W: devel-file-in-non-devel-package /usr/lib/ardour5/libcanvas.so
ardour5.i686: W: devel-file-in-non-devel-package /usr/lib/ardour5/libardouralsautil.so
ardour5.i686: W: devel-file-in-non-devel-package /usr/lib/ardour5/vamp/libardourvampplugins.so
ardour5.i686: W: devel-file-in-non-devel-package /usr/lib/ardour5/libqmdsp.so
ardour5.i686: W: dangling-relative-symlink /usr/share/ardour5/ArdourMono.ttf ../fonts/google-droid/DroidSansMono.ttf
ardour5.i686: W: devel-file-in-non-devel-package /usr/lib/ardour5/libpbd.so
ardour5.i686: W: devel-file-in-non-devel-package /usr/lib/ardour5/libmidipp.so
ardour5.i686: W: devel-file-in-non-devel-package /usr/lib/ardour5/libptformat.so
ardour5.i686: W: no-manual-page-for-binary ardour5-lua
ardour5.i686: W: no-manual-page-for-binary ardour5-copy-mixer
ardour5.i686: W: no-manual-page-for-binary ardour5-export
ardour5-audiobackend-dummy.i686: W: spelling-error Summary(en_US) backend -> backed, back end, back-end
ardour5-audiobackend-dummy.i686: W: spelling-error %description -l en_US backend -> backed, back end, back-end
ardour5-audiobackend-dummy.i686: W: no-documentation
...
1 packages and 0 specfiles checked; 1384 errors, 0 warnings.

NOTE see attached rpmlin.txt file

Requires
--------
ardour5-audiobackend-jack (rpmlib, GLIBC filtered):
    ardour5(x86-32)
    libasound.so.2
    libaubio.so.4
    libc.so.6
    libcurl.so.4
    libdl.so.2
    libfftw3f.so.3
    libgcc_s.so.1
    libgcc_s.so.1(GCC_3.0)
    libgio-2.0.so.0
    libgiomm-2.4.so.1
    libglib-2.0.so.0
    libglibmm-2.4.so.1
    libgobject-2.0.so.0
    libgthread-2.0.so.0
    libjack.so.0
    liblilv-0.so.0
    liblo.so.7
    liblrdf.so.2
    libltc.so.11
    libm.so.6
    libpthread.so.0
    librubberband.so.2
    libsamplerate.so.0
    libserd-0.so.0
    libsigc-2.0.so.0
    libsndfile.so.1
    libsord-0.so.0
    libsratom-0.so.0
    libstdc++.so.6
    libstdc++.so.6(CXXABI_1.3)
    libsuil-0.so.0
    libtag.so.1
    libvamp-hostsdk.so.3
    libvamp-sdk.so.2
    libxml2.so.2
    rtld(GNU_HASH)

ardour5-audiobackend-alsa (rpmlib, GLIBC filtered):
    ardour5(x86-32)
    libasound.so.2
    libasound.so.2(ALSA_0.9)
    libasound.so.2(ALSA_0.9.0rc4)
    libaubio.so.4
    libc.so.6
    libcurl.so.4
    libdl.so.2
    libfftw3f.so.3
    libgcc_s.so.1
    libgcc_s.so.1(GCC_3.0)
    libgio-2.0.so.0
    libgiomm-2.4.so.1
    libglib-2.0.so.0
    libglibmm-2.4.so.1
    libgobject-2.0.so.0
    libgthread-2.0.so.0
    liblilv-0.so.0
    liblo.so.7
    liblrdf.so.2
    libltc.so.11
    libm.so.6
    libpthread.so.0
    librubberband.so.2
    libsamplerate.so.0
    libserd-0.so.0
    libsigc-2.0.so.0
    libsndfile.so.1
    libsord-0.so.0
    libsratom-0.so.0
    libstdc++.so.6
    libstdc++.so.6(CXXABI_1.3)
    libsuil-0.so.0
    libtag.so.1
    libvamp-hostsdk.so.3
    libvamp-sdk.so.2
    libxml2.so.2
    rtld(GNU_HASH)

ardour5 (rpmlib, GLIBC filtered):
    /bin/sh
    ardour5-audiobackend(x86-32)
    config(ardour5)
    google-droid-sans-mono-fonts
    libFLAC.so.8
    libX11.so.6
    libasound.so.2
    libasound.so.2(ALSA_0.9)
    libasound.so.2(ALSA_0.9.0rc4)
    libatk-1.0.so.0
    libatkmm-1.6.so.1
    libaubio.so.4
    libbluetooth.so.3
    libc.so.6
    libcairo.so.2
    libcairomm-1.0.so.1
    libcurl.so.4
    libcwiid.so.1
    libdbus-1.so.3
    libdbus-1.so.3(LIBDBUS_1_3)
    libdl.so.2
    libfftw3f.so.3
    libfontconfig.so.1
    libfreetype.so.6
    libgcc_s.so.1
    libgcc_s.so.1(GCC_3.0)
    libgcc_s.so.1(GCC_3.4)
    libgdk-x11-2.0.so.0
    libgdk_pixbuf-2.0.so.0
    libgdkmm-2.4.so.1
    libgio-2.0.so.0
    libgiomm-2.4.so.1
    libglib-2.0.so.0
    libglibmm-2.4.so.1
    libgobject-2.0.so.0
    libgthread-2.0.so.0
    libgtk-x11-2.0.so.0
    libgtkmm-2.4.so.1
    liblilv-0.so.0
    liblo.so.7
    liblrdf.so.2
    libltc.so.11
    libm.so.6
    libogg.so.0
    libpango-1.0.so.0
    libpangocairo-1.0.so.0
    libpangoft2-1.0.so.0
    libpangomm-1.4.so.1
    libpthread.so.0
    libreadline.so.6
    librubberband.so.2
    libsamplerate.so.0
    libsamplerate.so.0(libsamplerate.so.0.0)
    libserd-0.so.0
    libsigc-2.0.so.0
    libsndfile.so.1
    libsndfile.so.1(libsndfile.so.1.0)
    libsord-0.so.0
    libsratom-0.so.0
    libstdc++.so.6
    libstdc++.so.6(CXXABI_1.3)
    libstdc++.so.6(CXXABI_1.3.1)
    libstdc++.so.6(CXXABI_1.3.8)
    libsuil-0.so.0
    libtag.so.1
    libvamp-hostsdk.so.3
    libvamp-sdk.so.2
    libxml2.so.2
    libxml2.so.2(LIBXML2_2.4.30)
    libxml2.so.2(LIBXML2_2.6.0)
    rtld(GNU_HASH)

ardour5-audiobackend-dummy (rpmlib, GLIBC filtered):
    ardour5(x86-32)
    libaubio.so.4
    libc.so.6
    libcurl.so.4
    libdl.so.2
    libfftw3f.so.3
    libgcc_s.so.1
    libgcc_s.so.1(GCC_3.0)
    libgio-2.0.so.0
    libgiomm-2.4.so.1
    libglib-2.0.so.0
    libglibmm-2.4.so.1
    libgobject-2.0.so.0
    libgthread-2.0.so.0
    liblilv-0.so.0
    liblo.so.7
    liblrdf.so.2
    libltc.so.11
    libm.so.6
    libpthread.so.0
    librubberband.so.2
    libsamplerate.so.0
    libserd-0.so.0
    libsigc-2.0.so.0
    libsndfile.so.1
    libsord-0.so.0
    libsratom-0.so.0
    libstdc++.so.6
    libstdc++.so.6(CXXABI_1.3)
    libsuil-0.so.0
    libtag.so.1
    libvamp-hostsdk.so.3
    libvamp-sdk.so.2
    libxml2.so.2
    rtld(GNU_HASH)

ardour5-debuginfo (rpmlib, GLIBC filtered):



Provides
--------
ardour5-audiobackend-jack:
    ardour5-audiobackend(x86-32)
    ardour5-audiobackend-jack
    ardour5-audiobackend-jack(x86-32)

ardour5-audiobackend-alsa:
    ardour5-audiobackend(x86-32)
    ardour5-audiobackend-alsa
    ardour5-audiobackend-alsa(x86-32)

ardour5:
    appdata()
    appdata(ardour5.appdata.xml)
    application()
    application(ardour5.desktop)
    ardour5
    ardour5(x86-32)
    config(ardour5)
    mimehandler(application/x-ardour)

ardour5-audiobackend-dummy:
    ardour5-audiobackend(x86-32)
    ardour5-audiobackend-dummy
    ardour5-audiobackend-dummy(x86-32)

ardour5-debuginfo:
    ardour5-debuginfo
    ardour5-debuginfo(x86-32)



Unversioned so-files
--------------------
ardour5: /usr/lib/ardour5/LV2/a-comp.lv2/a-comp.so
ardour5: /usr/lib/ardour5/LV2/a-delay.lv2/a-delay.so
ardour5: /usr/lib/ardour5/LV2/a-eq.lv2/a-eq.so
ardour5: /usr/lib/ardour5/LV2/a-reverb.lv2/a-reverb.so
ardour5: /usr/lib/ardour5/LV2/reasonablesynth.lv2/reasonablesynth.so
ardour5: /usr/lib/ardour5/engines/libclearlooks.so
ardour5: /usr/lib/ardour5/libardour.so
ardour5: /usr/lib/ardour5/libardouralsautil.so
ardour5: /usr/lib/ardour5/libardourcp.so
ardour5: /usr/lib/ardour5/libaudiographer.so
ardour5: /usr/lib/ardour5/libcanvas.so
ardour5: /usr/lib/ardour5/libevoral.so
ardour5: /usr/lib/ardour5/libgtkmm2ext.so
ardour5: /usr/lib/ardour5/libmidipp.so
ardour5: /usr/lib/ardour5/libpbd.so
ardour5: /usr/lib/ardour5/libptformat.so
ardour5: /usr/lib/ardour5/libqmdsp.so
ardour5: /usr/lib/ardour5/libtimecode.so
ardour5: /usr/lib/ardour5/panners/libpan1in2out.so
ardour5: /usr/lib/ardour5/panners/libpan2in2out.so
ardour5: /usr/lib/ardour5/panners/libpanbalance.so
ardour5: /usr/lib/ardour5/panners/libpanvbap.so
ardour5: /usr/lib/ardour5/surfaces/libardour_faderport.so
ardour5: /usr/lib/ardour5/surfaces/libardour_generic_midi.so
ardour5: /usr/lib/ardour5/surfaces/libardour_mcp.so
ardour5: /usr/lib/ardour5/surfaces/libardour_osc.so
ardour5: /usr/lib/ardour5/surfaces/libardour_wiimote.so
ardour5: /usr/lib/ardour5/vamp/libardourvampplugins.so
ardour5-audiobackend-alsa: /usr/lib/ardour5/backends/libalsa_audiobackend.so
ardour5-audiobackend-jack: /usr/lib/ardour5/backends/libjack_audiobackend.so
ardour5-audiobackend-dummy: /usr/lib/ardour5/backends/libdummy_audiobackend.so

Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1364542 --plugins C/C++ -m fedora-rawhide-i386
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 6 gil cattaneo 2016-08-12 09:34:34 UTC
Created attachment 1190324 [details]
licensecheck.txt

Comment 7 gil cattaneo 2016-08-12 09:35:23 UTC
Created attachment 1190325 [details]
rpmlint.txt

Comment 8 gil cattaneo 2016-08-12 09:41:53 UTC
Issues:

[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "WTFPL WTFPL (v2)", "LGPL (v2.1 or later) (with incorrect FSF
     address)", "LGPL (v2 or later) (with incorrect FSF address)", "*No
     copyright* BSD (3 clause)", "LGPL (v2.1) (with incorrect FSF
     address)", "GPL (v2.0)", "*No copyright* GPL (v2 or later)", "*No
     copyright* LGPL (v2.1 or later)", "*No copyright* GPL (v2 or later)
     (with incorrect FSF address)", "GPL (v3 or later)", "ISC",
     "zlib/libpng", "LGPL (v3 or later)", "GPL (v2 or later) (with
     incorrect FSF address)", "BSD (2 clause)", "*No copyright* LGPL (v2 or
     later) (with incorrect FSF address)", "GPL", "*No copyright* WTFPL",
     "GPL (v2 or later)", "MIT/X11 (BSD like)", "BSD (3 clause)", "Unknown
     or generated", "BSD (4 clause)", "BSL (v1.0)", "GPL (v2)". 778 files
     have unknown license. Detailed output of licensecheck in
     /home/gil/1364542-ardour5/licensecheck.txt
    See attached file
    BSL (v1.0) >> Boost

Most of the file have incorrect Free Software Foundation addres,
please, report to upstream
https://fedoraproject.org/wiki/Common_Rpmlint_issues#incorrect-fsf-address

[!]: update-mime-database is invoked in %post and %postun if package stores
     mime configuration in /usr/share/mime/packages.
     Note: mimeinfo files in: ardour5
     See:
     http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#mimeinfo
    Missing in %post

ardour5.i686: E: invalid-appdata-file /usr/share/appdata/ardour5.appdata.xml
please, check

NON blocking issues:

[?]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
   https://github.com/Ardour/ardour/archive/5.0/ardour-5.0.tar.gz

[!]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: # This macro creates a backend
     subpackage. Needs to be %%define, not %%global., %define
     backend_package() %package %{1}backend-%{lua:
     print(string.lower(rpm.expand("%2")))}Summary: %{2} %{1} backend for
     %{name}Requires: %{name}%{?_isa} =
     %{?epoch:%{epoch}:}%{version}-%{release}Provides:
     %{name}-%{1}backend%{?_isa}%{?3:License: %{3}}%description
     %{1}backend-%{lua: print(string.lower(rpm.expand("%2")))}This package
     provides the %{2} %{1} backend for Ardour.%files %{1}backend-%{lua:
     print(string.lower(rpm.expand("%2")))}%{_libdir}/%{name}/backends/lib%{lua:
     print(string.lower(rpm.expand("%2")))}_%{1}backend.so

Comment 9 gil cattaneo 2016-08-12 11:46:43 UTC
if you have time, the less worst is this https://bugzilla.redhat.com/show_bug.cgi?id=1363921

Comment 10 Nils Philippsen 2016-08-13 15:24:29 UTC
(In reply to gil cattaneo from comment #8)
> Issues:
> 
> [!]: License field in the package spec file matches the actual license.
>      Note: Checking patched sources after %prep for licenses. Licenses
>      found: "WTFPL WTFPL (v2)", "LGPL (v2.1 or later) (with incorrect FSF
>      address)", "LGPL (v2 or later) (with incorrect FSF address)", "*No
>      copyright* BSD (3 clause)", "LGPL (v2.1) (with incorrect FSF
>      address)", "GPL (v2.0)", "*No copyright* GPL (v2 or later)", "*No
>      copyright* LGPL (v2.1 or later)", "*No copyright* GPL (v2 or later)
>      (with incorrect FSF address)", "GPL (v3 or later)", "ISC",
>      "zlib/libpng", "LGPL (v3 or later)", "GPL (v2 or later) (with
>      incorrect FSF address)", "BSD (2 clause)", "*No copyright* LGPL (v2 or
>      later) (with incorrect FSF address)", "GPL", "*No copyright* WTFPL",
>      "GPL (v2 or later)", "MIT/X11 (BSD like)", "BSD (3 clause)", "Unknown
>      or generated", "BSD (4 clause)", "BSL (v1.0)", "GPL (v2)". 778 files
>      have unknown license. Detailed output of licensecheck in
>      /home/gil/1364542-ardour5/licensecheck.txt
>     See attached file
>     BSL (v1.0) >> Boost

The Boost license doesn't require that copyright notices and licensing terms are included with compiled programs, and besides that it's compatible with the GPL and linked to GPL code, i.e. the resulting binary is GPL. I've noticed however that one of the internal libraries is licensed GPLv3+, making the combined whole GPLv3+ not GPLv2+. I've updated the License field and the LICENSING document (plus licenses that require that their texts be distributed with the program).

> Most of the file have incorrect Free Software Foundation addres,
> please, report to upstream
> https://fedoraproject.org/wiki/Common_Rpmlint_issues#incorrect-fsf-address

Upstream doesn't have an issue tracker enabled on their github project, and I know of no other. That's consistent with their usual stance ("patches accepted") ;). I don't have the time right now to fix all the files myself, so that'll have to wait until I have more time.

> [!]: update-mime-database is invoked in %post and %postun if package stores
>      mime configuration in /usr/share/mime/packages.
>      Note: mimeinfo files in: ardour5
>      See:
>      http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#mimeinfo
>     Missing in %post

The wiki example specifically puts update-mime-database into %posttrans instead of %post, that's the way I did it.

> ardour5.i686: E: invalid-appdata-file /usr/share/appdata/ardour5.appdata.xml
> please, check

Fixed and PR submitted:
https://github.com/Ardour/ardour/pull/261

> NON blocking issues:
> 
> [?]: SourceX tarball generation or download is documented.
>      Note: Package contains tarball without URL, check comments
>    https://github.com/Ardour/ardour/archive/5.0/ardour-5.0.tar.gz

That tarball is empty, the one I included is an "official" download.

> [!]: Spec use %global instead of %define unless justified.
>      Note: %define requiring justification: # This macro creates a backend
                                              ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
>      subpackage. Needs to be %%define, not %%global., %define
       ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
This, right here ;), it doesn't work with %global.

>      backend_package() %package %{1}backend-%{lua:
>      print(string.lower(rpm.expand("%2")))}Summary: %{2} %{1} backend for
>      %{name}Requires: %{name}%{?_isa} =
>      %{?epoch:%{epoch}:}%{version}-%{release}Provides:
>      %{name}-%{1}backend%{?_isa}%{?3:License: %{3}}%description
>      %{1}backend-%{lua: print(string.lower(rpm.expand("%2")))}This package
>      provides the %{2} %{1} backend for Ardour.%files %{1}backend-%{lua:
>     
> print(string.lower(rpm.expand("%2")))}%{_libdir}/%{name}/backends/lib%{lua:
>      print(string.lower(rpm.expand("%2")))}_%{1}backend.so

I've kicked off builds in COPR here, should be done in ~45 minutes:

https://copr.fedorainfracloud.org/coprs/nphilipp/ardour5/build/441130/

I'll update the ticket later with direct links to the SPEC file and SRPM package.

Comment 11 gil cattaneo 2016-08-13 15:58:43 UTC
ok,
can you take this for me https://bugzilla.redhat.com/show_bug.cgi?id=1363921 ?
thanks in advance

Comment 13 Nils Philippsen 2016-08-14 05:58:24 UTC
*** Bug 1366590 has been marked as a duplicate of this bug. ***

Comment 14 gil cattaneo 2016-08-14 08:32:55 UTC
maybe the license field should be something like:
License:    GPLv3+ and BSD and WTFPL and Boost and ISC and MIT and zlib  and LGPLv2+

Other question, field release seem not correct:
Release:    0.5%{?dist}
and also changelog
* Sat Aug 13 2016 XXX XXXX - 5.0.0-0.5
- AppData release tags need a date to be valid

* Fri Aug 12 2016 XXX XXXX - 5.0.0-0.5
- update licensing terms

* Fri Aug 12 2016 XXX XXXX - 5.0.0-0.4
- update to final release 5.0.0

if it is a stable version, should be:
...
Release:    5{?dist}
...
%changelog
* Sat Aug 13 2016 XXX XXXX - 5.0.0-3
- AppData release tags need a date to be valid

* Fri Aug 12 2016 XXX XXXX - 5.0.0-2
- update licensing terms

* Fri Aug 12 2016 XXX XXXX - 5.0.0-1
- update to final release 5.0.0

Comment 15 gil cattaneo 2016-08-14 08:34:46 UTC
ops, the correct one:
Release:    3%{?dist}

Comment 16 gil cattaneo 2016-08-14 08:53:51 UTC
and should be added:
Provides:  bundled(AudioGrapher) = 0.0.0
https://github.com/sbergen/AudioGrapher

these files are under this term:

/*
     File: ACBaseCodec.cpp
 Abstract: ACBaseCodec.h
  Version: 1.1

 Disclaimer: IMPORTANT:  This Apple software is supplied to you by Apple
 Inc. ("Apple") in consideration of your agreement to the following
 terms, and your use, installation, modification or redistribution of
 this Apple software constitutes acceptance of these terms.  If you do
 not agree with these terms, please do not use, install, modify or
 redistribute this Apple software.

 In consideration of your agreement to abide by the following terms, and
 subject to these terms, Apple grants you a personal, non-exclusive
 license, under Apple's copyrights in this original Apple software (the
 "Apple Software"), to use, reproduce, modify and redistribute the Apple
 Software, with or without modifications, in source and/or binary forms;
 provided that if you redistribute the Apple Software in its entirety and
 without modifications, you must retain this notice and the following
 text and disclaimers in all such redistributions of the Apple Software.
 Neither the name, trademarks, service marks or logos of Apple Inc. may
 be used to endorse or promote products derived from the Apple Software
 without specific prior written permission from Apple.  Except as
 expressly stated in this notice, no other rights or licenses, express or
 implied, are granted by Apple herein, including but not limited to any
 patent rights that may be infringed by your derivative works or by other
 works in which the Apple Software may be incorporated.

 The Apple Software is provided by Apple on an "AS IS" basis.  APPLE
 MAKES NO WARRANTIES, EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION
 THE IMPLIED WARRANTIES OF NON-INFRINGEMENT, MERCHANTABILITY AND FITNESS
 FOR A PARTICULAR PURPOSE, REGARDING THE APPLE SOFTWARE OR ITS USE AND
 OPERATION ALONE OR IN COMBINATION WITH YOUR PRODUCTS.

 IN NO EVENT SHALL APPLE BE LIABLE FOR ANY SPECIAL, INDIRECT, INCIDENTAL
 OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 INTERRUPTION) ARISING IN ANY WAY OUT OF THE USE, REPRODUCTION,
 MODIFICATION AND/OR DISTRIBUTION OF THE APPLE SOFTWARE, HOWEVER CAUSED
 AND WHETHER UNDER THEORY OF CONTRACT, TORT (INCLUDING NEGLIGENCE),
 STRICT LIABILITY OR OTHERWISE, EVEN IF APPLE HAS BEEN ADVISED OF THE
 POSSIBILITY OF SUCH DAMAGE.

 Copyright (C) 2014 Apple Inc. All Rights Reserved.

*/

Ardour-5.0.0/libs/appleutility/CoreAudio/AudioCodecs/ACPublic/ACBaseCodec.cpp
Ardour-5.0.0/libs/appleutility/CoreAudio/AudioCodecs/ACPublic/ACBaseCodec.h
Ardour-5.0.0/libs/appleutility/CoreAudio/AudioCodecs/ACPublic/ACCodec.cpp
Ardour-5.0.0/libs/appleutility/CoreAudio/AudioCodecs/ACPublic/ACCodec.h
Ardour-5.0.0/libs/appleutility/CoreAudio/AudioCodecs/ACPublic/ACCodecDispatchTypes.h
Ardour-5.0.0/libs/appleutility/CoreAudio/AudioCodecs/ACPublic/ACConditionalMacros.h
Ardour-5.0.0/libs/appleutility/CoreAudio/AudioCodecs/ACPublic/ACPlugInDispatch.cpp
Ardour-5.0.0/libs/appleutility/CoreAudio/AudioCodecs/ACPublic/ACPlugInDispatch.h
Ardour-5.0.0/libs/appleutility/CoreAudio/AudioCodecs/ACPublic/ACSimpleCodec.cpp
Ardour-5.0.0/libs/appleutility/CoreAudio/AudioCodecs/ACPublic/ACSimpleCodec.h
Ardour-5.0.0/libs/appleutility/CoreAudio/AudioCodecs/ACPublic/GetCodecBundle.cpp
Ardour-5.0.0/libs/appleutility/CoreAudio/AudioCodecs/ACPublic/GetCodecBundle.h
Ardour-5.0.0/libs/appleutility/CoreAudio/AudioFile/AFPublic/AudioFileComponentBase.cpp
Ardour-5.0.0/libs/appleutility/CoreAudio/AudioFile/AFPublic/AudioFileComponentBase.h
Ardour-5.0.0/libs/appleutility/CoreAudio/AudioFile/AFPublic/AudioFileFormat.cpp
Ardour-5.0.0/libs/appleutility/CoreAudio/AudioFile/AFPublic/AudioFileFormat.h
Ardour-5.0.0/libs/appleutility/CoreAudio/AudioFile/AFPublic/AudioFileObject.cpp
Ardour-5.0.0/libs/appleutility/CoreAudio/AudioFile/AFPublic/AudioFileObject.h
Ardour-5.0.0/libs/appleutility/CoreAudio/AudioFile/AFPublic/CompressedPacketTable.cpp
Ardour-5.0.0/libs/appleutility/CoreAudio/AudioFile/AFPublic/CompressedPacketTable.h
Ardour-5.0.0/libs/appleutility/CoreAudio/AudioFile/AFPublic/DataSource.cpp
Ardour-5.0.0/libs/appleutility/CoreAudio/AudioFile/AFPublic/DataSource.h
Ardour-5.0.0/libs/appleutility/CoreAudio/AudioUnits/AUPublic/AUBase/AUBase.cpp
Ardour-5.0.0/libs/appleutility/CoreAudio/AudioUnits/AUPublic/AUBase/AUBase.h
Ardour-5.0.0/libs/appleutility/CoreAudio/AudioUnits/AUPublic/AUBase/AUDispatch.cpp
Ardour-5.0.0/libs/appleutility/CoreAudio/AudioUnits/AUPublic/AUBase/AUDispatch.h
Ardour-5.0.0/libs/appleutility/CoreAudio/AudioUnits/AUPublic/AUBase/AUInputElement.cpp
Ardour-5.0.0/libs/appleutility/CoreAudio/AudioUnits/AUPublic/AUBase/AUInputElement.h
Ardour-5.0.0/libs/appleutility/CoreAudio/AudioUnits/AUPublic/AUBase/AUOutputElement.cpp
Ardour-5.0.0/libs/appleutility/CoreAudio/AudioUnits/AUPublic/AUBase/AUOutputElement.h
Ardour-5.0.0/libs/appleutility/CoreAudio/AudioUnits/AUPublic/AUBase/AUPlugInDispatch.cpp
Ardour-5.0.0/libs/appleutility/CoreAudio/AudioUnits/AUPublic/AUBase/AUPlugInDispatch.h
Ardour-5.0.0/libs/appleutility/CoreAudio/AudioUnits/AUPublic/AUBase/AUScopeElement.cpp
Ardour-5.0.0/libs/appleutility/CoreAudio/AudioUnits/AUPublic/AUBase/AUScopeElement.h
Ardour-5.0.0/libs/appleutility/CoreAudio/AudioUnits/AUPublic/AUBase/ComponentBase.cpp
Ardour-5.0.0/libs/appleutility/CoreAudio/AudioUnits/AUPublic/AUBase/ComponentBase.h
Ardour-5.0.0/libs/appleutility/CoreAudio/AudioUnits/AUPublic/AUCarbonViewBase/AUCarbonViewBase.cpp
Ardour-5.0.0/libs/appleutility/CoreAudio/AudioUnits/AUPublic/AUCarbonViewBase/AUCarbonViewBase.h
Ardour-5.0.0/libs/appleutility/CoreAudio/AudioUnits/AUPublic/AUCarbonViewBase/AUCarbonViewControl.cpp
Ardour-5.0.0/libs/appleutility/CoreAudio/AudioUnits/AUPublic/AUCarbonViewBase/AUCarbonViewControl.h
Ardour-5.0.0/libs/appleutility/CoreAudio/AudioUnits/AUPublic/AUCarbonViewBase/AUCarbonViewDispatch.cpp
Ardour-5.0.0/libs/appleutility/CoreAudio/AudioUnits/AUPublic/AUCarbonViewBase/AUControlGroup.cpp
Ardour-5.0.0/libs/appleutility/CoreAudio/AudioUnits/AUPublic/AUCarbonViewBase/AUControlGroup.h
Ardour-5.0.0/libs/appleutility/CoreAudio/AudioUnits/AUPublic/AUCarbonViewBase/CarbonEventHandler.cpp
Ardour-5.0.0/libs/appleutility/CoreAudio/AudioUnits/AUPublic/AUCarbonViewBase/CarbonEventHandler.h
Ardour-5.0.0/libs/appleutility/CoreAudio/AudioUnits/AUPublic/AUInstrumentBase/AUInstrumentBase.cpp
Ardour-5.0.0/libs/appleutility/CoreAudio/AudioUnits/AUPublic/AUInstrumentBase/AUInstrumentBase.h
Ardour-5.0.0/libs/appleutility/CoreAudio/AudioUnits/AUPublic/AUInstrumentBase/LockFreeFIFO.h
Ardour-5.0.0/libs/appleutility/CoreAudio/AudioUnits/AUPublic/AUInstrumentBase/MIDIControlHandler.h
Ardour-5.0.0/libs/appleutility/CoreAudio/AudioUnits/AUPublic/AUInstrumentBase/SynthElement.cpp
Ardour-5.0.0/libs/appleutility/CoreAudio/AudioUnits/AUPublic/AUInstrumentBase/SynthElement.h
Ardour-5.0.0/libs/appleutility/CoreAudio/AudioUnits/AUPublic/AUInstrumentBase/SynthEvent.h
Ardour-5.0.0/libs/appleutility/CoreAudio/AudioUnits/AUPublic/AUInstrumentBase/SynthNote.cpp
Ardour-5.0.0/libs/appleutility/CoreAudio/AudioUnits/AUPublic/AUInstrumentBase/SynthNote.h
Ardour-5.0.0/libs/appleutility/CoreAudio/AudioUnits/AUPublic/AUInstrumentBase/SynthNoteList.cpp
Ardour-5.0.0/libs/appleutility/CoreAudio/AudioUnits/AUPublic/AUInstrumentBase/SynthNoteList.h
Ardour-5.0.0/libs/appleutility/CoreAudio/AudioUnits/AUPublic/AUViewBase/AUViewLocalizedStringKeys.h
Ardour-5.0.0/libs/appleutility/CoreAudio/AudioUnits/AUPublic/OtherBases/AUEffectBase.cpp
Ardour-5.0.0/libs/appleutility/CoreAudio/AudioUnits/AUPublic/OtherBases/AUEffectBase.h
Ardour-5.0.0/libs/appleutility/CoreAudio/AudioUnits/AUPublic/OtherBases/AUMIDIBase.cpp
Ardour-5.0.0/libs/appleutility/CoreAudio/AudioUnits/AUPublic/OtherBases/AUMIDIBase.h
Ardour-5.0.0/libs/appleutility/CoreAudio/AudioUnits/AUPublic/OtherBases/AUMIDIEffectBase.cpp
Ardour-5.0.0/libs/appleutility/CoreAudio/AudioUnits/AUPublic/OtherBases/AUMIDIEffectBase.h
Ardour-5.0.0/libs/appleutility/CoreAudio/AudioUnits/AUPublic/OtherBases/AUOutputBase.cpp
Ardour-5.0.0/libs/appleutility/CoreAudio/AudioUnits/AUPublic/OtherBases/AUOutputBase.h
Ardour-5.0.0/libs/appleutility/CoreAudio/AudioUnits/AUPublic/OtherBases/AUPannerBase.cpp
Ardour-5.0.0/libs/appleutility/CoreAudio/AudioUnits/AUPublic/OtherBases/AUPannerBase.h
Ardour-5.0.0/libs/appleutility/CoreAudio/AudioUnits/AUPublic/OtherBases/MusicDeviceBase.cpp
Ardour-5.0.0/libs/appleutility/CoreAudio/AudioUnits/AUPublic/OtherBases/MusicDeviceBase.h
Ardour-5.0.0/libs/appleutility/CoreAudio/AudioUnits/AUPublic/Utility/AUBaseHelper.cpp
Ardour-5.0.0/libs/appleutility/CoreAudio/AudioUnits/AUPublic/Utility/AUBaseHelper.h
Ardour-5.0.0/libs/appleutility/CoreAudio/AudioUnits/AUPublic/Utility/AUBuffer.cpp
Ardour-5.0.0/libs/appleutility/CoreAudio/AudioUnits/AUPublic/Utility/AUBuffer.h
Ardour-5.0.0/libs/appleutility/CoreAudio/AudioUnits/AUPublic/Utility/AUInputFormatConverter.h
Ardour-5.0.0/libs/appleutility/CoreAudio/AudioUnits/AUPublic/Utility/AUMIDIDefs.h
Ardour-5.0.0/libs/appleutility/CoreAudio/AudioUnits/AUPublic/Utility/AUSilentTimeout.h
Ardour-5.0.0/libs/appleutility/CoreAudio/AudioUnits/AUPublic/Utility/AUTimestampGenerator.cpp
Ardour-5.0.0/libs/appleutility/CoreAudio/AudioUnits/AUPublic/Utility/AUTimestampGenerator.h
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/AUOutputBL.cpp
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/AUOutputBL.h
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/AUParamInfo.cpp
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/AUParamInfo.h
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CAAUMIDIMap.cpp
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CAAUMIDIMap.h
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CAAUMIDIMapManager.cpp
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CAAUMIDIMapManager.h
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CAAUParameter.cpp
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CAAUParameter.h
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CAAUProcessor.cpp
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CAAUProcessor.h
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CAAtomic.h
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CAAtomicStack.h
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CAAudioBufferList.cpp
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CAAudioBufferList.h
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CAAudioChannelLayout.cpp
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CAAudioChannelLayout.h
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CAAudioChannelLayoutObject.cpp
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CAAudioFileFormats.cpp
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CAAudioFileFormats.h
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CAAudioTimeStamp.cpp
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CAAudioTimeStamp.h
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CAAudioUnit.cpp
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CAAudioUnit.h
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CAAudioUnitOutputCapturer.h
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CAAudioValueRange.cpp
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CAAudioValueRange.h
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CAAutoDisposer.h
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CABitOperations.h
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CABool.h
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CABufferList.cpp
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CABufferList.h
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CABundleLocker.cpp
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CABundleLocker.h
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CAByteOrder.h
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CACFArray.cpp
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CACFArray.h
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CACFData.h
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CACFDictionary.cpp
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CACFDictionary.h
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CACFDistributedNotification.cpp
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CACFDistributedNotification.h
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CACFMachPort.cpp
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CACFMachPort.h
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CACFMessagePort.cpp
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CACFMessagePort.h
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CACFNumber.cpp
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CACFNumber.h
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CACFObject.h
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CACFPlugIn.h
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CACFPreferences.cpp
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CACFPreferences.h
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CACFString.cpp
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CACFString.h
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CAComponent.cpp
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CAComponent.h
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CAComponentDescription.cpp
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CAComponentDescription.h
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CADebugMacros.cpp
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CADebugMacros.h
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CADebugPrintf.cpp
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CADebugPrintf.h
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CADebugger.cpp
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CADebugger.h
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CAException.h
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CAExtAudioFile.h
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CAFilePathUtils.cpp
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CAFilePathUtils.h
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CAGuard.cpp
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CAGuard.h
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CAHALAudioDevice.cpp
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CAHALAudioDevice.h
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CAHALAudioObject.cpp
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CAHALAudioObject.h
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CAHALAudioStream.cpp
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CAHALAudioStream.h
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CAHALAudioSystemObject.cpp
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CAHALAudioSystemObject.h
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CAHostTimeBase.cpp
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CAHostTimeBase.h
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CALogMacros.h
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CAMath.h
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CAMixMap.h
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CAMutex.cpp
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CAMutex.h
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CAPThread.cpp
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CAPThread.h
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CAPersistence.cpp
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CAProcess.cpp
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CAProcess.h
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CAPropertyAddress.h
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CAReferenceCounted.h
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CARingBuffer.cpp
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CARingBuffer.h
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CASettingsStorage.cpp
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CASettingsStorage.h
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CASharedLibrary.cpp
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CASharedLibrary.h
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CASpectralProcessor.cpp
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CASpectralProcessor.h
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CAStreamBasicDescription.cpp
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CAStreamBasicDescription.h
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CAStreamRangedDescription.cpp
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CAStreamRangedDescription.h
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CAThreadSafeList.h
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CATink.h
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CATokenMap.h
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CAVectorUnit.cpp
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CAVectorUnit.h
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CAVectorUnitTypes.h
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CAVolumeCurve.cpp
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CAVolumeCurve.h
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CAXException.cpp
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/CAXException.h
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/MatrixMixerVolumes.cpp
Ardour-5.0.0/libs/appleutility/CoreAudio/PublicUtility/MatrixMixerVolumes.h
Ardour-5.0.0/libs/appleutility/CoreAudio105/AUOutputBL.cpp
Ardour-5.0.0/libs/appleutility/CoreAudio105/AUOutputBL.h
Ardour-5.0.0/libs/appleutility/CoreAudio105/AUParamInfo.cpp
Ardour-5.0.0/libs/appleutility/CoreAudio105/AUParamInfo.h
Ardour-5.0.0/libs/appleutility/CoreAudio105/CAAUParameter.cpp
Ardour-5.0.0/libs/appleutility/CoreAudio105/CAAUParameter.h
Ardour-5.0.0/libs/appleutility/CoreAudio105/CAAudioChannelLayout.cpp
Ardour-5.0.0/libs/appleutility/CoreAudio105/CAAudioChannelLayout.h
Ardour-5.0.0/libs/appleutility/CoreAudio105/CAAudioChannelLayoutObject.cpp
Ardour-5.0.0/libs/appleutility/CoreAudio105/CAAudioFile.cpp
Ardour-5.0.0/libs/appleutility/CoreAudio105/CAAudioFile.h
Ardour-5.0.0/libs/appleutility/CoreAudio105/CAAudioUnit.cpp
Ardour-5.0.0/libs/appleutility/CoreAudio105/CAAudioUnit.h
Ardour-5.0.0/libs/appleutility/CoreAudio105/CABufferList.cpp
Ardour-5.0.0/libs/appleutility/CoreAudio105/CABufferList.h
Ardour-5.0.0/libs/appleutility/CoreAudio105/CACFDictionary.cpp
Ardour-5.0.0/libs/appleutility/CoreAudio105/CACFDictionary.h
Ardour-5.0.0/libs/appleutility/CoreAudio105/CACFNumber.cpp
Ardour-5.0.0/libs/appleutility/CoreAudio105/CACFNumber.h
Ardour-5.0.0/libs/appleutility/CoreAudio105/CACFString.cpp
Ardour-5.0.0/libs/appleutility/CoreAudio105/CACFString.h
Ardour-5.0.0/libs/appleutility/CoreAudio105/CAComponent.cpp
Ardour-5.0.0/libs/appleutility/CoreAudio105/CAComponent.h
Ardour-5.0.0/libs/appleutility/CoreAudio105/CAComponentDescription.cpp
Ardour-5.0.0/libs/appleutility/CoreAudio105/CAComponentDescription.h
Ardour-5.0.0/libs/appleutility/CoreAudio105/CAConditionalMacros.h
Ardour-5.0.0/libs/appleutility/CoreAudio105/CADebugMacros.cpp
Ardour-5.0.0/libs/appleutility/CoreAudio105/CADebugMacros.h
Ardour-5.0.0/libs/appleutility/CoreAudio105/CAMath.h
Ardour-5.0.0/libs/appleutility/CoreAudio105/CAReferenceCounted.h
Ardour-5.0.0/libs/appleutility/CoreAudio105/CAStreamBasicDescription.cpp
Ardour-5.0.0/libs/appleutility/CoreAudio105/CAStreamBasicDescription.h
Ardour-5.0.0/libs/appleutility/CoreAudio105/CAXException.cpp
Ardour-5.0.0/libs/appleutility/CoreAudio105/CAXException.h

Comment 17 gil cattaneo 2016-08-14 09:05:59 UTC
sorry but

Provides:  bundled(gtk-theme-engine-clearlooks
) = unknown new

Ardour-5.0.0/libs/clearlooks-newer/bits.c
Ardour-5.0.0/libs/clearlooks-newer/cairo-support.c
Ardour-5.0.0/libs/clearlooks-newer/cairo-support.h
Ardour-5.0.0/libs/clearlooks-newer/clearlooks_draw.h
Ardour-5.0.0/libs/clearlooks-newer/clearlooks_theme_main.c
Ardour-5.0.0/libs/clearlooks-newer/clearlooks_types.h
Ardour-5.0.0/libs/clearlooks-newer/config.h
Ardour-5.0.0/libs/clearlooks-newer/cpdll.sh
Ardour-5.0.0/libs/clearlooks-newer/ge-support.h
Ardour-5.0.0/libs/clearlooks-newer/general-support.h
Ardour-5.0.0/libs/clearlooks-newer/support.h
Ardour-5.0.0/libs/clearlooks-newer/widget-information.c
Ardour-5.0.0/libs/clearlooks-newer/widget-information.h


Provides:  bundled(gtk-theme-engine-clearlooks
) = unknown old
Ardour-5.0.0/libs/clearlooks-older/bits.c
Ardour-5.0.0/libs/clearlooks-older/clearlooks_draw.c
Ardour-5.0.0/libs/clearlooks-older/clearlooks_draw.h
Ardour-5.0.0/libs/clearlooks-older/clearlooks_style.c
Ardour-5.0.0/libs/clearlooks-older/clearlooks_theme_main.c
Ardour-5.0.0/libs/clearlooks-older/cpdll.sh
Ardour-5.0.0/libs/clearlooks-older/support.c
Ardour-5.0.0/libs/clearlooks-older/support.h

https://github.com/GNOME/gtk-theme-engine-clearlooks

Comment 18 gil cattaneo 2016-08-14 09:42:17 UTC
Provides:  bundled(libsmf) = 1.2
https://sourceforge.net/projects/libsmf/
Ardour-5.0.0/libs/evoral/src//COPYING
Ardour-5.0.0/libs/evoral/src/libsmf/README
Ardour-5.0.0/libs/evoral/src/libsmf/smf.c
Ardour-5.0.0/libs/evoral/src/libsmf/smf.h
Ardour-5.0.0/libs/evoral/src/libsmf/smf_decode.c
Ardour-5.0.0/libs/evoral/src/libsmf/smf_load.c
Ardour-5.0.0/libs/evoral/src/libsmf/smf_private.h
Ardour-5.0.0/libs/evoral/src/libsmf/smf_save.c
Ardour-5.0.0/libs/evoral/src/libsmf/smf_tempo.c
Ardour-5.0.0/libs/evoral/src/libsmf/smfsh.c

Provides:  bundled(libltc) = 1.1.1
https://github.com/x42/libltc/
Ardour-5.0.0/libs/libltc/decoder.c
Ardour-5.0.0/libs/libltc/encoder.c
Ardour-5.0.0/libs/libltc/ltc.c
Ardour-5.0.0/libs/libltc/ltc/decoder.h
Ardour-5.0.0/libs/libltc/ltc/encoder.h
Ardour-5.0.0/libs/libltc/ltc/ltc.h
Ardour-5.0.0/libs/libltc/timecode.c

Provides:  bundled(lua) = 5.3.3
Ardour-5.0.0/libs/lua/lua-5.3.3/*
https://www.lua.org/

 1.0.2-111-g04b47d7
https://github.com/vinniefalco/LuaBridge
under MIT License

Provides:  bundled(midi++) = 4.1.0
Provides:  bundled(pbd) = 4.1.0
http://www.quasimodo.org
ftp://ftp.quasimodo.org/pub/libs/midi++

Provides:  bundled(qm-dsp) = 0.0.0
https://code.soundsoftware.ac.uk/projects/qm-dsp

Comment 19 gil cattaneo 2016-08-14 09:44:06 UTC
Provides:  bundled(LuaBridge) = 1.0.2-111-g04b47d7
https://github.com/vinniefalco/LuaBridge
under MIT License

Comment 20 Nils Philippsen 2016-08-14 18:41:18 UTC
(In reply to gil cattaneo from comment #14)
> maybe the license field should be something like:
> License:    GPLv3+ and BSD and WTFPL and Boost and ISC and MIT and zlib  and
> LGPLv2+

Not really, "anding" licenses is intended for when e.g. different binaries are differently licensed -- and it's explicitly the licensing status of the binary program that this tag is about, see: https://fedoraproject.org/wiki/Packaging:LicensingGuidelines?rd=Packaging/LicensingGuidelines#License:_field

> Other question, field release seem not correct:
> Release:    0.5%{?dist}

That is intentional because that package is not yet in Fedora, it in fact is a pre-release from the packaging point of view ;). I'll bump the release to 1 when I build it in Fedora -- this way people who installed it from COPR should have a smooth update path.

(In reply to gil cattaneo from comment #16)
> and should be added:
> Provides:  bundled(AudioGrapher) = 0.0.0
> https://github.com/sbergen/AudioGrapher
>
> these files are under this term:
>
> /*
>      File: ACBaseCodec.cpp
>  Abstract: ACBaseCodec.h
>   Version: 1.1

You probably mean bundled(appleutility), not AudioGrapher, right? This library is only used when building on OS/X.

(In reply to gil cattaneo from comment #17)
> sorry but
> 
> Provides:  bundled(gtk-theme-engine-clearlooks
> ) = unknown new

Added that with version 2.9.0 (which is guaranteed not newer than the included code, guessed by copyright of 2007). AFAIK it's a customized fork of the clearlooks engine.

> Provides:  bundled(gtk-theme-engine-clearlooks
> ) = unknown old

not used

(In reply to gil cattaneo from comment #18)
> Provides:  bundled(libsmf) = 1.2
> https://sourceforge.net/projects/libsmf/

Stripped down custom version, added + mention in LICENSING.

> Provides:  bundled(libltc) = 1.1.1
> https://github.com/x42/libltc/

We use the system version of the library, not added.

> Provides:  bundled(lua) = 5.3.3
> Ardour-5.0.0/libs/lua/lua-5.3.3/*
> https://www.lua.org/

Comes with a custom C++-wrapper, added.

>  1.0.2-111-g04b47d7
> https://github.com/vinniefalco/LuaBridge
> under MIT License

added (+ mention in LICENSING)

> Provides:  bundled(midi++) = 4.1.0
> Provides:  bundled(pbd) = 4.1.0

internal to ardour (written by the ardour author)

> http://www.quasimodo.org
> ftp://ftp.quasimodo.org/pub/libs/midi++

"quasimodo.org is for sale!" ;)

> Provides:  bundled(qm-dsp) = 0.0.0
> https://code.soundsoftware.ac.uk/projects/qm-dsp

We have that as a static library, I'll try unbundling it.

Comment 21 Nils Philippsen 2016-08-16 23:30:33 UTC
ardour5-5.0.0-0.8 is building in COPR, with the changes mentioned above:

https://copr.fedorainfracloud.org/coprs/nphilipp/ardour5/build/442012/

Comment 23 gil cattaneo 2016-08-17 11:09:21 UTC
Approved and sorry for delay

Comment 24 Nils Philippsen 2016-08-17 20:01:50 UTC
No worries, it's a complicated enough package. Thanks for reviewing!

Comment 25 Gwyn Ciesla 2016-08-17 20:07:31 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/ardour5

Comment 26 Nils Philippsen 2016-08-17 20:11:06 UTC
That was quick, thanks Jon!

Comment 27 Fedora Update System 2016-08-17 22:36:10 UTC
ardour5-5.0.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d8719a81ae

Comment 28 Fedora Update System 2016-08-17 22:36:18 UTC
ardour5-5.0.0-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d5a218eed6

Comment 29 Fedora Update System 2016-08-17 22:36:23 UTC
ardour5-5.0.0-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-1943739492

Comment 30 Fedora Update System 2016-08-18 16:54:32 UTC
ardour5-5.0.0-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d5a218eed6

Comment 31 Fedora Update System 2016-08-19 00:23:42 UTC
ardour5-5.0.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d8719a81ae

Comment 32 Fedora Update System 2016-08-19 00:59:42 UTC
ardour5-5.0.0-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-1943739492

Comment 33 Fedora Update System 2016-08-27 10:23:34 UTC
ardour5-5.0.0-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 34 Fedora Update System 2016-08-27 15:18:39 UTC
ardour5-5.0.0-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 35 Fedora Update System 2016-08-27 20:51:10 UTC
ardour5-5.0.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.